SAML callback
- POST /users/auth/saml/_callback
Accepts a callback request from an identity provider and authenticates the user.
Request
-
SAMLResponsestringrequired -
A message issued by the identity provider to the service provider
-
RelayStatestring -
The optional relay state that the API (service provider) sent to the identity provider.
Responses
Redirects to the UI endpoint with an authorization token in the fragment and the relay state, if it was specified during the initialization.
Response Type: EmptyResponse
The supplied SAML response is invalid. (code: root.unauthenticated)
-
errorsBasicFailedReplyElementrequired -
A list of errors that occurred in the failing request
Response Headers
-
x-cloud-error-codes The error codes associated with the response
The administrator needs to configure the authentication cluster. (code: authc.no_authentication_cluster)
-
errorsBasicFailedReplyElementrequired -
A list of errors that occurred in the failing request
Response Headers
-
x-cloud-error-codes The error codes associated with the response
The authentication cluster failed to process the request. The response body contains details about the error. (code: authc.authentication_cluster_error)
-
errorsBasicFailedReplyElementrequired -
A list of errors that occurred in the failing request
Response Headers
-
x-cloud-error-codes The error codes associated with the response